Dependencies for compacts-0

library